Package org.apache.lucene.util.fst

## Class Util.FSTPath<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Util.FSTPath<T>

- Enclosing class:
    Util

      public static class Util.FSTPath<T>
      extends Object

  Represents a path in TopNSearcher.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FST.Arc<T>` | `arc` | Holds the last arc appended to this path
    `float` | `boost` |
    `CharSequence` | `context` |
    `IntsRefBuilder` | `input` |
    `T` | `output` | Holds cost plus any usage-specific output:
    `int` | `payload` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### arc

          public FST.Arc<T> arc

      Holds the last arc appended to this path

    - #### output

          public T output

      Holds cost plus any usage-specific output:

    - #### input

          public final IntsRefBuilder input

    - #### boost

          public final float boost

    - #### context

          public final CharSequence context

    - #### payload

          public int payload

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`